/****************************************************************************
 *
 *  Copyright (c) 2012, EBM WebSourcing
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 *****************************************************************************/

package org.ow2.petals.admin.api.artifact;

/**
 * 
 * @author "Mathieu CARROLLE - EBM WebSourcing"
 * 
 */
public class ServiceUnit extends Artifact {

    public static final String TYPE = "SU";

    private String targetComponentName;

    public ServiceUnit(String name, String targetComponentName) {
        this(name, "NOVERSION", targetComponentName);
    }

    public ServiceUnit(String name, String version, String targetComponentName) {
        super(name, version, TYPE);
        this.targetComponentName = targetComponentName;
    }

    public String getTargetComponent() {
        return this.targetComponentName;
    }
}
