/****************************************************************************
 *
 *  Copyright (c) 2012, EBM WebSourcing
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 *****************************************************************************/

package org.ow2.petals.admin.api.exception;

/**
 * The logger does not exist.
 * 
 * @author Christophe DENUEX - Linagora
 */
public class LoggerNotFoundException extends ContainerAdministrationException {
    
    private static final long serialVersionUID = -8655168654889254380L;

    /**
     * The not found logger
     */
    private final String logger;

    public LoggerNotFoundException(final String logger) {
        super(String.format("Invalid logger: %s", logger));
        this.logger = logger;
    }

    /**
     * @return The not found logger
     */
    public String getLogger() {
        return this.logger;
    }
}
