
package org.ow2.petals.admin;

import java.util.ArrayList;
import java.util.List;

import org.ow2.petals.admin.api.artifact.Artifact;

/**
 * 
 * @author "Mathieu CARROLLE - EBM WebSourcing"
 * 
 */
public class RegistryMock {

    private static RegistryMock instance = new RegistryMock();

    protected static RegistryMock getInstance() {
        return instance;
    }

    private final List<Artifact> artifacts;

    private RegistryMock() {
        this.artifacts = new ArrayList<Artifact>();
    }

    protected boolean add(Artifact a) {
        return artifacts.add(a);
    }

    protected boolean remove(Artifact a) {
        boolean removed = false;
        for (Artifact item : artifacts) {
            if (item.getName().equals(a.getName()) && item.getType().equals(a.getType())) {
                artifacts.remove(item);
                break;
            }
        }
        return removed;
    }

    protected Artifact[] list() {
        Artifact[] a = new Artifact[artifacts.size()];
        return artifacts.toArray(a);
    }
    
    protected Artifact get(Artifact a) {
        for (Artifact artifact : artifacts) {
            if(artifact.equals(a))
                return artifact;
        }
        return null;
    }
}
