/****************************************************************************
 *
 *  Copyright (c) 2012, EBM WebSourcing
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 *****************************************************************************/

package org.ow2.petals.admin.api;

import junit.framework.Assert;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import org.ow2.petals.admin.AdminFactoryMock;
import org.ow2.petals.admin.ArtifactAdministrationMock;
import org.ow2.petals.admin.ContainerAdministrationMock;
import org.ow2.petals.admin.RegistryAdministrationMock;

/**
 * 
 * @author "Mathieu CARROLLE - EBM WebSourcing"
 * 
 */
public class AdminFactoryTest {

    AdminFactory adminFactory;

    @Before
    public void beforeTest() {
        System.setProperty(AdminFactory.FACTORY_PROPERTY_KEY, AdminFactoryMock.class.getName());
        adminFactory = AdminFactory.newInstance();
    }

    @Test
    public void createAdminFactoryTest() {
        ArtifactAdministration artifactAdministration = adminFactory.createArtifactAdministration();
        ContainerAdministration containerAdministration = adminFactory
                .createContainerAdministration();
        RegistryAdministration registryAdministration = adminFactory.createRegistryAdministration();
        
        Assert.assertTrue(artifactAdministration instanceof ArtifactAdministrationMock);
        Assert.assertTrue(containerAdministration instanceof ContainerAdministrationMock);
        Assert.assertTrue(registryAdministration instanceof RegistryAdministrationMock);
    }

    @After
    public void afterTest() {
        adminFactory = null;
        System.getProperties().remove(AdminFactory.FACTORY_PROPERTY_KEY);
    }

}
